package com.sooka.system.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 个人贷款账户变动信息对象 tgjj_grdkzhbdxx
 *
 * @author lei
 * @date 2021-11-16
 */
public class TgjjGrdkzhbdxx extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 数据主键ID */
    private Long ID;

    /** 贷款账号 */
    @Excel(name = "贷款账号")
    private String DKZH;

    /** 业务流水号 */
    @Excel(name = "业务流水号")
    private String YWLSH;

    /** 贷款业务明细类型 */
    @Excel(name = "贷款业务明细类型")
    private String DKYWMXLX;

    /** 业务发生日期 */
    @Excel(name = "业务发生日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date YWFSRQ;

    /** 贷款银行代码 */
    @Excel(name = "贷款银行代码")
    private String DKYHDM;

    /** 发生额 */
    @Excel(name = "发生额")
    private BigDecimal FSE;

    /** 本金金额 */
    @Excel(name = "本金金额")
    private BigDecimal BJJE;

    /** 利息金额 */
    @Excel(name = "利息金额")
    private BigDecimal LXJE;

    /** 罚息金额 */
    @Excel(name = "罚息金额")
    private BigDecimal FXJE;

    /** 当期期次 */
    @Excel(name = "当期期次")
    private Long DQQC;

    /** 正常转逾期本金金额 */
    @Excel(name = "正常转逾期本金金额")
    private BigDecimal ZCZYQBJJE;

    /** 逾期转正常本金金额 */
    @Excel(name = "逾期转正常本金金额")
    private BigDecimal YQZZCBJJE;

    /** 记账日期 */
    @Excel(name = "记账日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date JZRQ;

    /** 中心编号 */
    @Excel(name = "中心编号")
    private String ZXBH;

    /** 最后更新时间戳 */
    @Excel(name = "最后更新时间戳", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lastUpdateTime;

    /** 处理类型 */
    @Excel(name = "处理类型")
    private Long CLLX;

    public void setID(Long ID)
    {
        this.ID = ID;
    }

    public Long getID()
    {
        return ID;
    }
    public void setDKZH(String DKZH)
    {
        this.DKZH = DKZH;
    }

    public String getDKZH()
    {
        return DKZH;
    }
    public void setYWLSH(String YWLSH)
    {
        this.YWLSH = YWLSH;
    }

    public String getYWLSH()
    {
        return YWLSH;
    }
    public void setDKYWMXLX(String DKYWMXLX)
    {
        this.DKYWMXLX = DKYWMXLX;
    }

    public String getDKYWMXLX()
    {
        return DKYWMXLX;
    }
    public void setYWFSRQ(Date YWFSRQ)
    {
        this.YWFSRQ = YWFSRQ;
    }

    public Date getYWFSRQ()
    {
        return YWFSRQ;
    }
    public void setDKYHDM(String DKYHDM)
    {
        this.DKYHDM = DKYHDM;
    }

    public String getDKYHDM()
    {
        return DKYHDM;
    }
    public void setFSE(BigDecimal FSE)
    {
        this.FSE = FSE;
    }

    public BigDecimal getFSE()
    {
        return FSE;
    }
    public void setBJJE(BigDecimal BJJE)
    {
        this.BJJE = BJJE;
    }

    public BigDecimal getBJJE()
    {
        return BJJE;
    }
    public void setLXJE(BigDecimal LXJE)
    {
        this.LXJE = LXJE;
    }

    public BigDecimal getLXJE()
    {
        return LXJE;
    }
    public void setFXJE(BigDecimal FXJE)
    {
        this.FXJE = FXJE;
    }

    public BigDecimal getFXJE()
    {
        return FXJE;
    }
    public void setDQQC(Long DQQC)
    {
        this.DQQC = DQQC;
    }

    public Long getDQQC()
    {
        return DQQC;
    }
    public void setZCZYQBJJE(BigDecimal ZCZYQBJJE)
    {
        this.ZCZYQBJJE = ZCZYQBJJE;
    }

    public BigDecimal getZCZYQBJJE()
    {
        return ZCZYQBJJE;
    }
    public void setYQZZCBJJE(BigDecimal YQZZCBJJE)
    {
        this.YQZZCBJJE = YQZZCBJJE;
    }

    public BigDecimal getYQZZCBJJE()
    {
        return YQZZCBJJE;
    }
    public void setJZRQ(Date JZRQ)
    {
        this.JZRQ = JZRQ;
    }

    public Date getJZRQ()
    {
        return JZRQ;
    }
    public void setZXBH(String ZXBH)
    {
        this.ZXBH = ZXBH;
    }

    public String getZXBH()
    {
        return ZXBH;
    }
    public void setLastUpdateTime(Date lastUpdateTime)
    {
        this.lastUpdateTime = lastUpdateTime;
    }

    public Date getLastUpdateTime()
    {
        return lastUpdateTime;
    }
    public void setCLLX(Long CLLX)
    {
        this.CLLX = CLLX;
    }

    public Long getCLLX()
    {
        return CLLX;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ID", getID())
            .append("DKZH", getDKZH())
            .append("YWLSH", getYWLSH())
            .append("DKYWMXLX", getDKYWMXLX())
            .append("YWFSRQ", getYWFSRQ())
            .append("DKYHDM", getDKYHDM())
            .append("FSE", getFSE())
            .append("BJJE", getBJJE())
            .append("LXJE", getLXJE())
            .append("FXJE", getFXJE())
            .append("DQQC", getDQQC())
            .append("ZCZYQBJJE", getZCZYQBJJE())
            .append("YQZZCBJJE", getYQZZCBJJE())
            .append("JZRQ", getJZRQ())
            .append("ZXBH", getZXBH())
            .append("lastUpdateTime", getLastUpdateTime())
            .append("CLLX", getCLLX())
            .toString();
    }
}
